> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getNullifierQueueElements

> 트리의 대기 중인 널리파이어를 시퀀스 오름차순으로 조회합니다.

## 큐 페이지네이션

이 메서드는 널리파이어 트리 유지 관리를 지원합니다. `startSeq`부터 해당 값을 포함하여 `seq` 오름차순으로 `result.elements`을 반환합니다. 각 요소에는 시퀀스 번호와 base58로 인코딩된 널리파이어 `value`이 포함됩니다.

다음 페이지를 읽으려면 `startSeq`을 마지막으로 반환된 `seq`에 1을 더한 값으로 설정하세요. 빈 페이지가 반환되면 현재 인덱싱된 추가 요소가 없다는 의미입니다.

## 요청 매개변수

**limit** `number` *required*

반환할 최대 요소 수입니다. 1\~1,000 사이의 값을 지정할 수 있습니다.

**startSeq** `number` (default: 0)

seq가 이 값보다 크거나 같은 대기 중인 요소를 반환합니다.

**treeAccount** `string` *required*

조회할 트리 계정입니다. 상태 트리와 널리파이어 트리는 하나의 계정을 공유합니다.


## OpenAPI

````yaml ko/openapi/privacy/getNullifierQueueElements.yaml POST /v1/spr/getNullifierQueueElements
openapi: 3.0.3
info:
  title: Solana 프라이버시 링 API
  version: 0.51.2
  description: 암호화된 상태, 기록, 증명 및 공개 레지스트리 레코드를 위한 프라이버시 인덱서 JSON-RPC API입니다.
servers:
  - url: https://devnet.helius-rpc.com
    description: Devnet Solana 프라이버시 링 API
security: []
paths:
  /v1/spr/getNullifierQueueElements:
    post:
      summary: getNullifierQueueElements
      description: 트리의 대기 중인 무효화자를 시퀀스 오름차순으로 조회합니다.
      operationId: getNullifierQueueElements
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - id
                - method
                - params
              properties:
                id:
                  type: string
                  description: 요청을 식별하는 ID입니다.
                  default: '1'
                jsonrpc:
                  type: string
                  description: JSON-RPC 프로토콜 버전입니다.
                  enum:
                    - '2.0'
                  default: '2.0'
                method:
                  type: string
                  description: 호출할 메서드입니다. URL 경로의 마지막 세그먼트와 일치해야 합니다.
                  enum:
                    - getNullifierQueueElements
                  default: getNullifierQueueElements
                params:
                  type: object
                  required:
                    - treeAccount
                    - limit
                  properties:
                    limit:
                      allOf:
                        - $ref: '#/components/schemas/Limit'
                      description: 반환할 최대 요소 수로, 1~1,000입니다.
                    startSeq:
                      type: integer
                      format: uint64
                      description: seq가 이 값 이상인 대기열 요소를 반환합니다.
                      minimum: 0
                      maximum: 9223372036854776000
                      default: 0
                    treeAccount:
                      allOf:
                        - $ref: '#/components/schemas/SerializablePubkey'
                      description: 조회할 트리 계정입니다. 상태 트리와 무효화자 트리는 하나의 계정을 공유합니다.
                  additionalProperties: false
                  example:
                    treeAccount: 33KVhbT4QtdQDrrrGwwThqD47Dh4Q6tA443t9jMNcWFN
                    startSeq: 0
                    limit: 100
            example:
              jsonrpc: '2.0'
              id: '1'
              method: getNullifierQueueElements
              params:
                treeAccount: 33KVhbT4QtdQDrrrGwwThqD47Dh4Q6tA443t9jMNcWFN
                startSeq: 0
                limit: 100
        required: true
      responses:
        '200':
          description: JSON-RPC 응답입니다. result를 읽기 전에 error를 확인하세요.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
                  id:
                    type: string
                    description: 요청 ID입니다.
                  jsonrpc:
                    type: string
                    description: JSON-RPC 프로토콜의 버전입니다.
                    enum:
                      - '2.0'
                  result:
                    type: object
                    required:
                      - context
                      - elements
                    properties:
                      context:
                        $ref: '#/components/schemas/Context'
                      elements:
                        type: array
                        items:
                          $ref: '#/components/schemas/NullifierQueueElement'
                    additionalProperties: false
        '400':
          description: >-
            실행 전에 거부되었습니다. 메서드/경로 불일치, 중복 메서드 필드 또는 배치 요청은 -32601을 반환합니다. 읽을 수
            없거나 너무 큰 본문은 -32600을 반환합니다.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: 요청 ID입니다. 본문이 단일 JSON-RPC 호출이 아니면 null입니다.
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
        '429':
          description: 요청 속도 제한을 초과했습니다.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: 요청 ID입니다. 본문이 단일 JSON-RPC 호출이 아니면 null입니다.
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
        '500':
          description: 내부 서버 오류입니다.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: 요청 ID입니다. 본문이 단일 JSON-RPC 호출이 아니면 null입니다.
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
      security:
        - ApiKeyQuery: []
components:
  schemas:
    Limit:
      type: integer
      format: uint64
      maximum: 1000
      minimum: 1
    SerializablePubkey:
      type: string
      description: base58로 인코딩된 Solana 공개 키입니다.
    Context:
      type: object
      required:
        - blockTime
        - slot
      properties:
        blockTime:
          type: integer
          format: int64
        slot:
          type: integer
          format: uint64
          description: 슬롯 기반 최신 상태 확인을 위해 인덱서가 영구 저장한 가장 높은 슬롯입니다.
          minimum: 0
    NullifierQueueElement:
      type: object
      description: 온체인 입력 대기열 순서에 따른 대기 중인 무효화자 하나입니다.
      required:
        - seq
        - value
      properties:
        seq:
          type: integer
          format: uint64
          minimum: 0
        value:
          $ref: '#/components/schemas/Hash'
      additionalProperties: false
    Hash:
      type: string
      description: base58로 인코딩된 32바이트 해시입니다.
  securitySchemes:
    ApiKeyQuery:
      type: apiKey
      in: query
      name: api-key
      description: Helius API 키입니다.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.